com.tibbo.aggregate.common.context

## Class DefaultContextEventListener<T extends CallerController>

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultContextEventListener<T>

- All Implemented Interfaces:
    ContextEventListener
  Direct Known Subclasses:
    DefaultClientController.ForwardingEventListener, EditTemplateActionDefinition.LogoutEventListener

      public abstract class DefaultContextEventListener<T extends CallerController>
      extends java.lang.Object
      implements ContextEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultContextEventListener()`
    `DefaultContextEventListener(java.lang.Integer listenerCode)`
    `DefaultContextEventListener(java.lang.Integer listenerCode, boolean acceptEventsWithoutListenerCode)`
    `DefaultContextEventListener(T callerController)`
    `DefaultContextEventListener(T callerController, ContextManager contextManager, java.lang.Integer listenerCode, Expression filter)`
    `DefaultContextEventListener(T callerController, ContextManager contextManager, java.lang.Integer listenerCode, Expression filter, java.lang.String fingerprint)`
    `DefaultContextEventListener(T callerController, java.lang.Integer listenerCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getCallerController()`
    `Expression` | `getFilter()`
    `java.lang.String` | `getFingerprint()`
    `java.lang.Integer` | `getListenerCode()`
    `ContextManager` | `getLocalContextManager()`
    `void` | `handle(Event event, EventDefinition ed)`
    `boolean` | `isAsync()`
    `void` | `setAcceptEventsWithoutListenerCode(boolean acceptEventsWithoutListenerCode)`
    `void` | `setCallerController(T callerController)`
    `void` | `setContextManager(ContextManager contextManager)`
    `void` | `setFilter(Expression filter)`
    `void` | `setFingerprint(java.lang.String fingerprint)`
    `void` | `setListenerCode(java.lang.Integer listenerCode)`
    `boolean` | `shouldHandle(Event ev)` Should return true if event should be handled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.event.ContextEventListener

      `handle`

- - ### Constructor Detail

    - #### DefaultContextEventListener

          public DefaultContextEventListener()

    - #### DefaultContextEventListener

          public DefaultContextEventListener(T callerController)

    - #### DefaultContextEventListener

          public DefaultContextEventListener(T callerController,
                                             java.lang.Integer listenerCode)

    - #### DefaultContextEventListener

          public DefaultContextEventListener(T callerController,
                                             ContextManager contextManager,
                                             java.lang.Integer listenerCode,
                                             Expression filter)

    - #### DefaultContextEventListener

          public DefaultContextEventListener(T callerController,
                                             ContextManager contextManager,
                                             java.lang.Integer listenerCode,
                                             Expression filter,
                                             java.lang.String fingerprint)

    - #### DefaultContextEventListener

          public DefaultContextEventListener(java.lang.Integer listenerCode)

    - #### DefaultContextEventListener

          public DefaultContextEventListener(java.lang.Integer listenerCode,
                                             boolean acceptEventsWithoutListenerCode)

  - ### Method Detail

    - #### shouldHandle

          public boolean shouldHandle(Event ev)
                               throws EventHandlingException

      Description copied from interface: `ContextEventListener`
      Should return true if event should be handled.
      Specified by:
        `shouldHandle` in interface `ContextEventListener`
      Throws:
        `EventHandlingException`

    - #### getCallerController

          public T getCallerController()

      Specified by:
        `getCallerController` in interface `ContextEventListener`

    - #### getLocalContextManager

          public ContextManager getLocalContextManager()

    - #### getListenerCode

          public java.lang.Integer getListenerCode()

      Specified by:
        `getListenerCode` in interface `ContextEventListener`

    - #### setListenerCode

          public void setListenerCode(java.lang.Integer listenerCode)

      Specified by:
        `setListenerCode` in interface `ContextEventListener`

    - #### setCallerController

          public void setCallerController(T callerController)

    - #### setAcceptEventsWithoutListenerCode

          public void setAcceptEventsWithoutListenerCode(boolean acceptEventsWithoutListenerCode)

    - #### setFilter

          public void setFilter(Expression filter)

    - #### setFingerprint

          public void setFingerprint(java.lang.String fingerprint)

    - #### getFilter

          public Expression getFilter()

      Specified by:
        `getFilter` in interface `ContextEventListener`

    - #### getFingerprint

          public java.lang.String getFingerprint()

      Specified by:
        `getFingerprint` in interface `ContextEventListener`

    - #### isAsync

          public boolean isAsync()

      Specified by:
        `isAsync` in interface `ContextEventListener`

    - #### setContextManager

          public void setContextManager(ContextManager contextManager)

    - #### handle

          public void handle(Event event,
                             EventDefinition ed)
                      throws EventHandlingException

      Specified by:
        `handle` in interface `ContextEventListener`
      Throws:
        `EventHandlingException`